<h1>CSV Upload</h1>

<h2>Accepts a CSV file that follows our schema.</h2>
<h3>{{reference$[0]}}{{reference$[1]}}{{reference$[2]}}{{reference$[3]}}</h3>
<BR>

<form #f="ngForm" (ngSubmit)="onSubmit(f)" novalidate>

  <div class="form-group">
    <label for="department">Department</label>
    <select class="form-control" id="department" ngModel="department" name="department" [disabled]="departmentDisabled" (change)="departmentSelected(f)"
      required>
      <option *ngFor="let d of departments$" [ngValue]="d">{{d.code}}. {{d.name}}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="division">Division</label>
    <select class="form-control" id="division" ngModel="division" name="division" [disabled]="divisionDisabled" (change)="divisionSelected(f)"
      required>
      <option *ngFor="let d of divisions$" [ngValue]="d">{{d.code}}. {{d.name}}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="series">Series</label>
    <select class="form-control" id="series" ngModel="series" name="series" [disabled]="seriesDisabled" (change)="seriesSelected(f)"
      required>
      <option *ngFor="let s of series$" [ngValue]="s">{{s.num}}. {{s.title}}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="subseries">Subseries</label>
    <select class="form-control" id="subseries" ngModel="subseries" name="subseries" [disabled]="subseriesDisabled" (change)="subseriesSelected(f)"
      required>
      <option *ngFor="let s of subseries$" [ngValue]="s">{{s.num}}. {{s.title}}</option>
    </select>
  </div>

  <div class="form-group">
    <label for="csvUpload">Item CSV File</label>
    <input id="csvUpload" type="file" multiple (change)="changeListener($event.target.files); fileSelected()">
  </div>

  <button type="submit" class="btn btn-success" [disabled]="buttonDisabled">Submit</button>

</form>
<hr>